/******************************************************************************
 *            echecs_gnuchess.h                                               *
 *                                                                            *
 *  Copyright  2006  gerald.dumas                                             *
 *  linechec@laposte.net                                                      *
 ******************************************************************************
 *                                                                            *
 *  This program is free software; you can redistribute it and/or modify      *
 *  it under the terms of the GNU General Public License as published by      *
 *  the Free Software Foundation; either version 2 of the License, or         *
 *  any later version.                                                        *
 *                                                                            *
 *  This program is distributed in the hope that it will be useful,           *
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of            *
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the             *
 *  GNU General Public License for more details.                              *
 *                                                                            *
 *  You should have received a copy of the GNU General Public License         *
 *  along with this program; if not, write to the Free Software               *
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.*
 ******************************************************************************/

#include <gtk/gtk.h>
#include <unistd.h>
#include <sys/types.h>
#include <fcntl.h>
#include "g_echecs_init.h"
#include "g_interface.h"
#include "g_fcts_annexes.h"
#include "echecs_gestion_fichier_pgn.h"

#if !defined(ECHECS_GNUCHESS)
#define ECHECS_GNUCHESS

void nonblock(gint fd);
extern gboolean lecture_gnuchess_coup();
extern gboolean readsocket(GIOChannel *giochan,GIOCondition *giocond,gpointer data);
extern gboolean writesocket(GIOChannel *giochan,GIOCondition *giocond,gpointer data);
extern void connexion_gnuchess();
#define gtk_menu_item_label_set_label(menu_item, label) (gtk_label_set_label(GTK_LABEL(GTK_BIN(menu_item)->child), label))
#endif
